Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160903 - [kickstart] Language selection not reflected in %_install_langs macro
Summary: [kickstart] Language selection not reflected in %_install_langs macro
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-18 09:57 UTC by Enrico Scholz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-20 18:37:32 UTC


Attachments (Terms of Use)

Description Enrico Scholz 2005-06-18 09:57:19 UTC
Description of problem:

Although only a few languages were selected, all available locale files will be
installed. 'anaconda' does not seem to set the %_install_langs macro and
contains only a small trace of it in commented code.

It neither helps to create /etc/rpm/macros in the install-/, nor in the chroot.
There does not seem to be a way to stop installation of unneeded languages.


Version-Release number of selected component (if applicable):

anaconda-10.2.1.5-2

Comment 1 Jeremy Katz 2005-06-20 17:44:04 UTC
We don't set %_install_langs or use it any more.  Doing so makes it impossible
to add language support after you've installed because you essentially would
have to reinstall every package on the system.

Comment 2 Enrico Scholz 2005-06-20 17:56:41 UTC
Why not make it an option? I am absolutely sure, that I never ever will need new
languages. So lot of space will be wasted for stuff which is never needed.

Currently, I would have to reinstall every package in the system to removed
unwanted languages.

Comment 3 Jeremy Katz 2005-06-20 18:21:50 UTC
Because "make it an option" for everything in the world ends up leading to
something that is usable to no one and not at all maintainable.

In this case, you might be able to get what you want by writing out an
/etc/rpm/macros in %pre, but no guarantees.

Comment 4 Enrico Scholz 2005-06-20 18:31:42 UTC
/etc/rpm/macros does not work, neither in the real / nor in the chroot. These
files will be parsed very early before %pre is executed.

In do not agree with all the anaconda crippling (e.g. removal of package
selection, no way to influence partition order). But kickstart should stay a
powerful tool which allows to configure the system.

Perhaps a generic way to set rpm macros would be the right thing. This would
allow to set %_netshared_path also.

Comment 5 Jeremy Katz 2005-06-20 18:37:32 UTC
If you're interested in it, feel free to jump on anaconda-devel-list and suggest
a patch.  


Note You need to log in before you can comment on or make changes to this bug.